summaryrefslogtreecommitdiffstats
path: root/source/l/gd
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gd')
-rwxr-xr-xsource/l/gd/gd.SlackBuild26
-rw-r--r--source/l/gd/gd.png14.diff65
-rw-r--r--source/l/gd/gdlib.pc14
3 files changed, 10 insertions, 95 deletions
diff --git a/source/l/gd/gd.SlackBuild b/source/l/gd/gd.SlackBuild
index c33f20ba1..f998436a8 100755
--- a/source/l/gd/gd.SlackBuild
+++ b/source/l/gd/gd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
PKGNAM=gd
-VERSION=${VERSION:-2.0.35}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo libgd-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -44,8 +44,8 @@ PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -59,11 +59,9 @@ else
fi
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION
-
-zcat $CWD/gd.png14.diff.gz | patch -p1 --verbose || exit 1
+rm -rf libgd-${VERSION}
+tar xvf $CWD/libgd-$VERSION.tar.xz || exit 1
+cd libgd-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -73,11 +71,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Add pkgconfig file:
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-cat $CWD/gdlib.pc | sed -e "s/@VERSION@/$VERSION/" \
- | sed -e "s#/lib#/lib${LIBDIRSUFFIX}#g" \
- > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/gdlib.pc
+./bootstrap.sh
# Configure:
CFLAGS="$SLKCFLAGS" \
diff --git a/source/l/gd/gd.png14.diff b/source/l/gd/gd.png14.diff
deleted file mode 100644
index 49841ee4f..000000000
--- a/source/l/gd/gd.png14.diff
+++ /dev/null
@@ -1,65 +0,0 @@
---- ./configure.ac.orig 2007-04-25 07:48:41.000000000 -0500
-+++ ./configure.ac 2010-02-12 01:37:29.000000000 -0600
-@@ -342,20 +342,20 @@
- [ --with-png=DIR where to find the png library],,
- withval=yes)
-
--# libpng12.so is a nightmare. We have to test separately for
--# libpng12-config and libpng-config. If we find libpng12-config,
-+# libpng14.so is a nightmare. We have to test separately for
-+# libpng14-config and libpng-config. If we find libpng14-config,
- # we don't look for the other, which will just be a symlink to it,
- # confusing autoconf into thinking the library itself will be named -lpng,
- # which it won't be. Awful. This code will suffice unless the libpng
- # authors decide to do this AGAIN. Which I really hope they won't. TBB
-
- if test "$withval" != no; then
-- AC_PATH_PROG([LIBPNG12_CONFIG], [libpng12-config])
-+ AC_PATH_PROG([LIBPNG14_CONFIG], [libpng14-config])
- AC_PATH_PROG([LIBPNG_CONFIG], [libpng-config])
-- if test -n "$LIBPNG12_CONFIG"; then
-- libpng_CPPFLAGS=`libpng12-config --cflags`
-+ if test -n "$LIBPNG14_CONFIG"; then
-+ libpng_CPPFLAGS=`libpng14-config --cflags`
- # should be --ldopts, but it's currently broken
-- libpng_LDFLAGS=`libpng12-config --ldflags`
-+ libpng_LDFLAGS=`libpng14-config --ldflags`
- libpng_LDFLAGS=`echo " $libpng_LDFLAGS" | sed 's/ -l[[^ ]][[^ ]]*//g'`
- elif test -n "$LIBPNG_CONFIG"; then
- libpng_CPPFLAGS=`libpng-config --cflags`
-@@ -375,9 +375,9 @@
- _ldflags="$LDFLAGS"
- LDFLAGS="$libpng_LDFLAGS $LDFLAGS"
-
-- if test -n "$LIBPNG12_CONFIG"; then
-- AC_CHECK_LIB(png12,png_create_read_struct,
-- [LIBS="-lpng12 $LIBS"
-+ if test -n "$LIBPNG14_CONFIG"; then
-+ AC_CHECK_LIB(png14,png_create_read_struct,
-+ [LIBS="-lpng14 $LIBS"
- FEATURES="GD_PNG $FEATURES"
- AC_DEFINE(HAVE_LIBPNG, 1, [ Define if you have the png library. ])],
- [LDFLAGS="$_ldflags"
-@@ -402,9 +402,9 @@
- AC_MSG_WARN([libpng is required - see http://www.libpng.org/pub/png/])
- fi
-
--#TBB: png12's png_create_read_struct is just as good
-+#TBB: png14's png_create_read_struct is just as good
- #2.0.23: should be = not ==
--if test "$ac_cv_lib_png12_png_create_read_struct" = yes; then
-+if test "$ac_cv_lib_png14_png_create_read_struct" = yes; then
- ac_cv_lib_png_png_create_read_struct=yes
- fi
-
---- ./gd_png.c.orig 2007-06-14 14:51:41.000000000 -0500
-+++ ./gd_png.c 2010-02-12 01:43:36.000000000 -0600
-@@ -149,7 +149,7 @@
- return NULL;
- }
-
-- if (!png_check_sig (sig, 8)) { /* bad signature */
-+ if (!(png_sig_cmp(sig, 0, 8) == 0)) { /* bad signature */
- return NULL; /* bad signature */
- }
-
diff --git a/source/l/gd/gdlib.pc b/source/l/gd/gdlib.pc
deleted file mode 100644
index e39512638..000000000
--- a/source/l/gd/gdlib.pc
+++ /dev/null
@@ -1,14 +0,0 @@
-prefix=/usr
-exec_prefix=${prefix}
-libdir=${exec_prefix}/lib
-includedir=${prefix}/include
-bindir=${exec_prefix}/bin
-ldflags= -L/usr/lib -L/usr/X11R6/lib
-
-
-Name: gd-devel
-Description: A graphics library for quick creation of PNG or JPEG images
-Version: @VERSION@
-Requires:
-Libs: -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng14 -lz -lm
-Cflags: -I${prefix}/include